Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.fernhq.com/customers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fernhq.com/customers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fernhq.com/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customers": [
    {
      "customerId": "abc123",
      "customerStatus": "ACTIVE",
      "email": "john.doe@example.com",
      "name": "John Doe",
      "verificationLink": "https://forms.fernhq.com/verify-customer/0423300f-ae6d-4e82-8afb-a3b430e22e29",
      "updatedAt": "2023-11-07T05:31:56Z",
      "organizationId": "8469411c-48c1-4e26-a032-44688be9cb4b",
      "availablePaymentMethods": [
        "ACH",
        "WIRE",
        "SEPA",
        "CA_INTERAC",
        "IN_NEFT_RTGS_IMPS",
        "ARBITRUM",
        "BASE",
        "ETHEREUM",
        "OPTIMISM",
        "POLYGON",
        "SOLANA"
      ],
      "verificationIssues": [
        {
          "code": "DOCUMENT_MISSING_BACK",
          "message": "Please upload clear photos of both the front and back of your ID.",
          "timestamp": "2023-10-01T12:00:00Z"
        }
      ]
    }
  ],
  "nextPageToken": "xyz"
}

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Query Parameters

pageToken
string

Token for forward pagination

pageSize
integer
default:10

Number of items per page (default: 10, max: 100)

Required range: x >= 1
organizationId
string<uuid>

Organization ID to filter customers

Response

Response schema for listing customers

Response schema for listing customers

customers
Customers · object[]

Retrieved customers

nextPageToken
string

Page token to use to fetch next page

Example:

"xyz"